Subject: [imapext] [IANA #738605] Last Call: <draft-ietf-qresync-rfc5162bis-09.txt> (IMAP Extensions for Conditional STORE Operation or Quick Flag Changes Resynchronization (CONDSTORE) and Quick Mailbox Resynchronization (QRESYNC)) to

From: "Pearl Liang via RT" <[email-masked]>
Date: Wed, 22 Jan 2014 18:43:57 +0000

(BEGIN IANA LAST CALL COMMENTS)

IESG/Authors/WG Chairs:

IANA has reviewed draft-ietf-qresync-rfc5162bis-09.  Authors should review the comments and/or questions below.  Please report any inaccuracies and respond to any questions as soon as possible.

We received the following comments/questions from the IANA's reviewer:

IANA understands that, upon approval of this document, there is a single action which IANA must complete.

In the IMAP Capabilities Registry located at:

http://www.iana.org/assignments/imap4-capabilities

the reference for the capabilities CONDSTORE and QRESYNC will be updated to point to [ RFC-to-be ].

IANA understands that this is the only action required to be completed upon approval of this document.

Note:  The actions requested in this document will not be completed 
until the document has been approved for publication as an RFC. 
This message is only to confirm what actions will be performed.  

Thanks,

Pearl Liang
ICANN/IANA

(END IANA LAST CALL COMMENTS)

On Mon Jan 13 14:34:48 2014, [email-masked] wrote:
> 
> The IESG has received a request from the IMAP QRESYNC Extension WG
> (qresync) to consider the following document:
> - 'IMAP Extensions for Conditional STORE Operation or Quick Flag Changes
>    Resynchronization (CONDSTORE) and Quick Mailbox Resynchronization
>    (QRESYNC)'
>   <draft-ietf-qresync-rfc5162bis-09.txt> as Proposed Standard
> 
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2014-01-27. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
> 
> Abstract
> 
> 
>    Often, multiple IMAP (RFC 3501) clients need to coordinate changes to
>    a common IMAP mailbox.  Examples include different clients working on
>    behalf of the same user, and multiple users accessing shared
>    mailboxes.  These clients need a mechanism to efficiently synchronize
>    state changes for messages within the mailbox.
> 
>    Initially defined in RFC 4551, The Conditional Store facility
>    provides a protected update mechanism for message state information
>    and a mechanism for requesting only changes to message state.  This
>    memo updates that mechanism and obsoletes RFC 4551, based on
>    operational experience.
> 
>    This document additionally updates another IMAP extension, Quick
>    Resynchronization, which builds on the Conditional Store extension to
>    provide an IMAP client the ability to fully resynchronize a mailbox
>    as part of the SELECT/EXAMINE command, without the need for
>    additional server-side state or client round-trips.  Hence this memo
>    obsoletes RFC 5162.
> 
>    Finally, this document also updates the line length recommendation in
>    Section 3.2.1.5 of RFC 2683.
> 
> 
> 
> 
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-ietf-qresync-rfc5162bis/
> 
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-ietf-qresync-rfc5162bis/ballot/
> 
> 
> No IPR declarations have been submitted directly on this I-D.
> 
>